VerifyClass (groovy 3.0.7 API)

Package: org.codehaus.groovy.ant

## [Java] Class VerifyClass

- org.codehaus.groovy.ant.VerifyClass

-     public class VerifyClass
      extends MatchingTask

  Verify Class files. This task can take the following arguments:

  - dir
  When this task executes, it will recursively scan the dir and look for class files to verify.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `VerifyClass ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `execute()`
    `` | `public void` | `setDir(String dir)`
    `` | `public void` | `setVerbose(boolean v)`
    `` | `public void` | `visitEnd()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MatchingTask` | `add, addType, setIncludes, setExcludes, setCaseSensitive, addDate, setFollowSymlinks, setProject, getSelectors, addSelector, XsetIgnore, XsetItems, hasSelectors, createInclude, createExclude, createExcludesFile, createIncludesFile, setIncludesfile, setExcludesfile, selectorCount, selectorElements, addMajority, addNot, addContains, addNone, addSize, addAnd, addDifferent, addCustom, addDepth, addOr, appendSelector, addModified, addPresent, addContainsRegexp, createPatternSet, addDepend, setDefaultexcludes, addFilename, log, log, log, log, init, execute, getTaskName, setRuntimeConfigurableWrapper, getRuntimeConfigurableWrapper, getTaskType, setTaskType, setOwningTarget, getOwningTarget, setTaskName, maybeConfigure, perform, bindToOwner, reconfigure, clone, getLocation, getDescription, setDescription, getProject, setLocation, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public VerifyClass()

  - ### Method Detail

    - #### public void execute()

    - #### public void setDir(String dir)

    - #### public void setVerbose(boolean v)

    - #### @Override public void visitEnd()